Runtime

## org.eclipse.gmf.runtime.emf.core.util
Interface IProxyEObject

All Known Implementing Classes:
  CreateElementRequestAdapter, EObjectAdapter

public interface IProxyEObject

Utility interface that provides proxy information; it is typically provided by an adapter for some instance of an EMF metaclass (`EClass`).

This interface may be implemented by clients.

Method Summary
`java.lang.Object` `getProxyClassID()` Obtains the ID (fully-qualified name) of the `EClass` of the proxy object.
`EObject` `resolve()` Resolves the proxy.

Method Detail

### getProxyClassID

    public java.lang.Object getProxyClassID()

  Obtains the ID (fully-qualified name) of the `EClass` of the proxy object.

  Returns:
    the `EClass` ID (must not be `null`)
  See Also:
    `ProxyUtil#getProxyClassID(EObject)`

### resolve

    public EObject resolve()

  Resolves the proxy.

  Returns:
    the resolved object, or `null` if the proxy could not be resolved
  See Also:
    `ProxyUtil#resolve(EObject)`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.